GenePattern 3.2.1 Release Notes  Print-icon

View release notes for all GenePattern versions:
1.0     1.1     1.2     1.2.1     1.3     1.3.1     1.4     1.4.1     2.0     2.0.1     2.0.2     3.0     3.1     3.1.1     3.2     3.2.1     3.2.2     3.2.3     3.3     3.3.2     3.3.3     3.4     3.5     3.6     3.6.1     3.7.0     3.8.0     3.8.1     3.8.2    

Also see the FAQ for more information about new functionality

Released November 2009

New in this Release

Java 1.6 Support

As of Release 3.2.1, the GenePattern server can be configured to run under Java 1.5 or Java 1.6. When installed on Mac OS X 10.6 (Snow Leopard), the GenePattern server is configured for Java 1.6 by default. When installed on any other platform, the GenePattern server is configured for Java 1.5 by default. For instructions on how to change the server configuration, see Setting the Java Version.

Corrections to Known Issues

This release also corrects the following known issues:

Upgrade Recommended

The GenePattern team strongly recommends upgrading from GenePattern 3.2.0 to GenePattern 3.2.1:

Compatibility Details

GenePattern modules and external applications use GenePattern libraries (see Programmer's Guide) and services (see http://genepattern.broadinstitute.org/gp/services) to interact with GenePattern servers. The GenePattern libraries and services from any release should be compatible with GenePattern servers from any release. However, GenePattern 3.2.0 libraries and services are compatible only with GenePattern 3.2.0 servers.

To prevent compatibility issues, upgrade GenePattern 3.2.0 installations to GenePattern 3.2.1. GenePattern 3.2.1 libraries and services are compatible with GenePattern servers from any release except GenePattern 3.2.0. Libraries and services for releases prior to GenePattern 3.2.0 are also compatible with GenePattern servers from any release except GenePattern 3.2.0.

back to top

Hardware requirements and software compatibility

back to top

Updated on May 20, 2011 20:00